Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Renderer Class Reference

レンダラ More...

`#include <Renderer.h>`

Inheritance diagram for Lamp::Renderer:

List of all members.

## Public Member Functions
| Renderer ()
| コンストラクタ
virtual | ~Renderer ()
| デストラクタ
virtual void | renderingSetup (Scene *scene)
| レンダリング準備を行う
virtual void | rendering ()
| レンダリングを行う
virtual bool | initializeGraphicsDeviceObjects ()
| デバイスオブジェクトの初期化
virtual void | deleteGraphicsDeviceObjects ()
| デバイスオブジェクトの削除
virtual bool | restoreGraphicsDeviceObjects ()
| デバイスオブジェクトのリストア
virtual void | invalidateGraphicsDeviceObjects ()
| デバイスオブジェクトの無効化
## Static Public Member Functions
int | sortMeshList (Mesh *const *left, Mesh *const *right)
| メッシュリストのソート
## Static Public Attributes
const int | alphaTestBorder_ = 127
| アルファテストの閾値
const int | blendingAlphaTestBorder_ = 4
| ブレンディングアルファテストの閾値
const int | initialMeshListSize = 4096
| メッシュリストサイズ初期値
const int | maxActiveLightCount_ = 8
| 最大アクティブライト数
## Protected Member Functions
virtual void | buildRendererStateBlock ()
| レンダラステートブロックの構築
virtual void | buildMeshList ()
| メッシュリストの構築
virtual void | initializeDrawRequest ()
| 描画リクエストの初期化
virtual void | initializeGlobalSettings ()
| グローバル設定の初期化
## Protected Attributes
Direct3DStateBlock * | rendererStateBlock_
| レンダラステートブロック
DrawRequest * | drawRequest_
| 描画リクエスト
Scene * | scene_
| シーン
ArrayList< Mesh * > | meshList_
| メッシュリスト

## Detailed Description

レンダラ

Definition at line 41 of file Renderer.h.

## Member Function Documentation

virtual bool Lamp::Renderer::initializeGraphicsDeviceObjects | ( |  | ) | `[inline, virtual]`

| デバイスオブジェクトの初期化 Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 103 of file Renderer.h.

void Lamp::Renderer::renderingSetup | ( | Scene * | scene | ) | `[virtual]`

  | レンダリング準備を行う Parameters:
  scene | レンダリングを行うシーン
Definition at line 60 of file Renderer.cpp. References buildMeshList(), initializeDrawRequest(), and scene_. Referenced by Lamp::SceneFramework::frameworkRenderSetup().

virtual bool Lamp::Renderer::restoreGraphicsDeviceObjects | ( |  | ) | `[inline, virtual]`

| デバイスオブジェクトのリストア Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 114 of file Renderer.h. References buildRendererStateBlock().

int Lamp::Renderer::sortMeshList | ( | Mesh *const * | left,
|  | Mesh *const * | right
| ) | `[static]`

  | メッシュリストのソート Parameters:
  left | 左辺値
  right | 右辺値
Returns: 左辺値が右辺値より大きいときは1以上 Definition at line 136 of file Renderer.cpp. References Lamp::Mesh::getMaterial(), Lamp::Material::getPriority(), Lamp::Mesh::getRenderingTemporaryData(), Lamp::Material::isBlendEnabled(), and u_int. Referenced by buildMeshList().

The documentation for this class was generated from the following files:

- Renderer.h
- Renderer.cpp